New OS And Browser Requirements
For EZMoneyOnline Banking Users

Effective December 3, 2017


shutterstock_422281279As part of Melrose’s continued efforts to provide the most secure hosted banking environment, we will require all members using EZMoneyOnline Banking to meet the following minimum OS and browser requirements starting December 3, 2017.

Minimum Windows OS
Microsoft Windows 7 and later


Acceptable Browsers for Windows 7 and later
Microsoft Internet Explorer 11+

Win7/Microsoft Edge
Win7/Chrome version 53+

Win7/Firefox version 53+


Minimum Mac OS
OS X 10.12 and later


Acceptable Browsers for Mac OS 10.12 and later
Safari 9,10